//
// C++ Implementation: %{MODULE}
//
// Description:
//
//
// Author: %{AUTHOR} <%{EMAIL}>, (C) %{YEAR}
//
// Copyright: See COPYING file that comes with this distribution
//
//
#include "kpgdcoptalkthread.h"

#include <dcopclient.h>
#include <kdebug.h>

KPGDcopTalkThread::KPGDcopTalkThread()
 : QThread()
{
}


KPGDcopTalkThread::~KPGDcopTalkThread()
{
}

void KPGDcopTalkThread::setDcopClient(DCOPClient *pDcopClient)
{
  m_pDcopClient = pDcopClient;
}

void KPGDcopTalkThread::setCommand(const QString & strCommand)
{
  m_strCommand = strCommand;
}

void KPGDcopTalkThread::run()
{
  msleep(800); // wait for Console part creation command available
  
  kdDebug() << "DCOP Id:" << m_pDcopClient->appId() << endl; 
  
  // close session to make sendSession DCOP 
  bool bClose = m_pDcopClient->send(m_pDcopClient->appId(), "session-1", "closeSession()", "");
  if(!bClose)
    kdDebug() << "closeSession failed " << endl;
    
  msleep(1000); // wait for previous operation
  // send command to Console part
  bool bSend = m_pDcopClient->send(m_pDcopClient->appId(), "session-1", "sendSession(QString)", m_strCommand); 
  if(!bSend)
    kdDebug() << "sendSession failed " << endl;
}

  